# Maintainer: tioguda <guda.flavio@gmail.com>

pkgname=bitdefender-cumulative
pkgver=20210411.1908
pkgrel=1
pkgdesc="BitDefender Database"
arch=('x86_64') #'i686'
url="https://www.bitdefender.com"
license=('custom')
install=${pkgname}.install
#source_i686=("cumulative-$(date +%Y%m%d)-i686.zip::http://download.bitdefender.com/updates/update_av32bit/cumulative.zip")
source_x86_64=("cumulative-$(date +%Y%m%d)-x86_64.zip::http://download.bitdefender.com/updates/update_av64bit/cumulative.zip")
sha256sums_x86_64=('4a8502de6763945c76c64f3e6652ff042abb544520c1d09660cd44964d53f43b')
#sha256sums_i686=('6f912a0442bd84339edb9152590334839569c418e71d81d01026b9e6c8040eec')

pkgver() {
  _date=$(date +%Y%m%d.%H%M)
  echo ${_date}
}

package() {
    # latest deffinitions
    mkdir -p $pkgdir/opt/BitDefender-scanner/var/lib/scan/Plugins
    install -Dm644 $srcdir/Plugins/* $pkgdir/opt/BitDefender-scanner/var/lib/scan/Plugins
    
    # LICENSE
    mkdir -p $pkgdir/usr/share/licenses/$pkgname
    ln -s /opt/BitDefender-scanner/share/doc/LICENSE.bdscan $pkgdir/usr/share/licenses/$pkgname/LICENSE
}
